Skip to main content

List Webhook Events

List Webhook Events

List webhook event resources, going back up to 90 days. Paging can be applied.

VerbGET
URLhttps://api.s.unit.sh/ready-to-launch/webhook-events
Required Scopewebhook-events
Timeout (Seconds)5

Query Parameters

NameTypeDefaultDescription
page[limit]integer100Optional. Maximum number of resources that will be returned. Maximum is 1000 resources. See Pagination.
page[offset]integer0Optional. Number of resources to skip. See Pagination.
filter[type][]string(empty)Optional. Filter events by event type.
filter[since]RFC3339 Date string(empty)Optional. Filters the events that occurred after the specified date. e.g. 2022-01-13T16:01:19.346Z
filter[until]RFC3339 Date string(empty)Optional. Filters the events that occurred before the specified date. e.g. 2022-01-15T20:06:23.486Z

Example Request:

curl -X GET 'https://api.s.unit.sh/ready-to-launch/webhook-events?page[limit]=20&page[offset]=10&filter[since]=2022-01-13T16:01:19.346Z&filter[until]=2022-01-15T20:06:23.486Z' \
-H "Authorization: Bearer ${TOKEN}"

Response

Returns a paginated list of webhook event resources.

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredArray of EventArray of webhook event resources.